org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.Create

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.Create

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CollectionAdminRequest<T extends CollectionAdminResponse>

      public static class CollectionAdminRequest.Create
      extends CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `autoAddReplicas`
    `protected String` | `configName`
    `protected String` | `createNodeSet`
    `protected Integer` | `maxShardsPerNode`
    `protected Integer` | `numShards`
    `protected Integer` | `replicationFactor`
    `protected String` | `routerField`
    `protected String` | `routerName`
    `protected String` | `shards`
    `protected Integer` | `stateFormat`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

      `collection`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `asyncId`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Create()` Deprecated. Use `CollectionAdminRequest.createCollection(String, String, int, int)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getAutoAddReplicas()`
    `String` | `getConfigName()`
    `String` | `getCreateNodeSet()`
    `Integer` | `getMaxShardsPerNode()`
    `Integer` | `getNumShards()`
    `SolrParams` | `getParams()`
    `Properties` | `getProperties()`
    `Integer` | `getReplicationFactor()`
    `String` | `getRouterName()`
    `String` | `getShards()`
    `Integer` | `getStateFormat()`
    `CollectionAdminRequest.Create` | `setAsyncId(String id)` Deprecated.
    `CollectionAdminRequest.Create` | `setAutoAddReplicas(boolean autoAddReplicas)`
    `CollectionAdminRequest.Create` | `setCollectionName(String collectionName)` Deprecated.
    `CollectionAdminRequest.Create` | `setConfigName(String config)` Deprecated.
    `CollectionAdminRequest.Create` | `setCreateNodeSet(String nodeSet)`
    `CollectionAdminRequest.Create` | `setMaxShardsPerNode(Integer numShards)`
    `CollectionAdminRequest.Create` | `setNumShards(Integer numShards)` Deprecated.
    `CollectionAdminRequest.Create` | `setProperties(Map<String,String> properties)`
    `CollectionAdminRequest.Create` | `setProperties(Properties properties)`
    `CollectionAdminRequest.Create` | `setReplicationFactor(Integer repl)` Deprecated.
    `CollectionAdminRequest.Create` | `setRouterField(String routerField)`
    `CollectionAdminRequest.Create` | `setRouterName(String routerName)`
    `CollectionAdminRequest.Create` | `setRule(String... s)`
    `CollectionAdminRequest.Create` | `setShards(String shards)` Provide the name of the shards to be created, separated by commas Shard names must consist entirely of periods, underscores, hyphens, and alphanumerics.
    `CollectionAdminRequest.Create` | `setSnitch(String... s)`
    `CollectionAdminRequest.Create` | `setStateFormat(Integer stateFormat)`
    `CollectionAdminRequest.Create` | `withProperty(String key, String value)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configName

          protected String configName

    - #### createNodeSet

          protected String createNodeSet

    - #### routerName

          protected String routerName

    - #### shards

          protected String shards

    - #### routerField

          protected String routerField

    - #### numShards

          protected Integer numShards

    - #### maxShardsPerNode

          protected Integer maxShardsPerNode

    - #### replicationFactor

          protected Integer replicationFactor

    - #### autoAddReplicas

          protected Boolean autoAddReplicas

    - #### stateFormat

          protected Integer stateFormat

  - ### Constructor Detail

    - #### Create

          @Deprecated
          public Create()

      Deprecated. Use `CollectionAdminRequest.createCollection(String, String, int, int)`

  - ### Method Detail

    - #### setConfigName

          @Deprecated
          public CollectionAdminRequest.Create setConfigName(String config)

      Deprecated.

    - #### setCreateNodeSet

          public CollectionAdminRequest.Create setCreateNodeSet(String nodeSet)

    - #### setRouterName

          public CollectionAdminRequest.Create setRouterName(String routerName)

    - #### setRouterField

          public CollectionAdminRequest.Create setRouterField(String routerField)

    - #### setNumShards

          @Deprecated
          public CollectionAdminRequest.Create setNumShards(Integer numShards)

      Deprecated.

    - #### setMaxShardsPerNode

          public CollectionAdminRequest.Create setMaxShardsPerNode(Integer numShards)

    - #### setAutoAddReplicas

          public CollectionAdminRequest.Create setAutoAddReplicas(boolean autoAddReplicas)

    - #### setReplicationFactor

          @Deprecated
          public CollectionAdminRequest.Create setReplicationFactor(Integer repl)

      Deprecated.

    - #### setStateFormat

          public CollectionAdminRequest.Create setStateFormat(Integer stateFormat)

    - #### setRule

          public CollectionAdminRequest.Create setRule(String... s)

    - #### setSnitch

          public CollectionAdminRequest.Create setSnitch(String... s)

    - #### getConfigName

          public String getConfigName()

    - #### getCreateNodeSet

          public String getCreateNodeSet()

    - #### getRouterName

          public String getRouterName()

    - #### getShards

          public String getShards()

    - #### getNumShards

          public Integer getNumShards()

    - #### getMaxShardsPerNode

          public Integer getMaxShardsPerNode()

    - #### getReplicationFactor

          public Integer getReplicationFactor()

    - #### getAutoAddReplicas

          public Boolean getAutoAddReplicas()

    - #### getStateFormat

          public Integer getStateFormat()

    - #### setShards

          public CollectionAdminRequest.Create setShards(String shards)

      Provide the name of the shards to be created, separated by commas Shard names must consist entirely of periods, underscores, hyphens, and alphanumerics. Other characters are not allowed.
      Throws:
        `IllegalArgumentException` - if any of the shard names contain invalid characters.

    - #### setCollectionName

          @Deprecated
          public CollectionAdminRequest.Create setCollectionName(String collectionName)
                                                                      throws SolrException

      Deprecated.
      Provide the name of the collection to be created. Collection names must consist entirely of periods, underscores and alphanumerics. Other characters are not allowed.
      Specified by:
        `setCollectionName` in class `CollectionAdminRequest.AsyncCollectionSpecificAdminRequest`
      Throws:
        `IllegalArgumentException` - if the collection name contains invalid characters.
        `SolrException`

    - #### setAsyncId

          @Deprecated
          public CollectionAdminRequest.Create setAsyncId(String id)

      Deprecated.
      Overrides:
        `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

    - #### getProperties

          public Properties getProperties()

    - #### setProperties

          public CollectionAdminRequest.Create setProperties(Properties properties)

    - #### setProperties

          public CollectionAdminRequest.Create setProperties(Map<String,String> properties)

    - #### withProperty

          public CollectionAdminRequest.Create withProperty(String key,
                                                            String value)

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CollectionAdminRequest.AsyncCollectionSpecificAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.